import type { App } from 'vue';
import nsShuttleFrameDeptOrMember from './shuttleFrameDeptOrMember.vue';
import nsShuttleFrameMemberAndDept from './shuttleFrameMemberAndDept.vue';
import nsShuttleFrameOuter from './shuttleFrameOuter.vue';
import nsShuttleFrame from './shuttleFrameEntry.vue';

export const NsShuttleFrame = function (app: App) {
  app.component(nsShuttleFrameDeptOrMember.name, nsShuttleFrameDeptOrMember);
  app.component(nsShuttleFrameMemberAndDept.name, nsShuttleFrameMemberAndDept);
  app.component(nsShuttleFrameOuter.name, nsShuttleFrameOuter);
  app.component(nsShuttleFrame.name, nsShuttleFrame);
  return app;
};
